---
features:
  secondary:
  - name: "Code Quality violations sorted by severity"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    image_url: '/images/unreleased/code-quality-sorted.png'
    documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/code_quality.html#code-quality-widget'
    reporter: jheimbuck_gl
    stage: verify
    categories:
    - Code Quality
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/301121'
    description: |
      Running Code Quality scans on your Projects can find dozens to thousands of violations. In the smaller view of the Merge Request widget, it can be hard to pinpoint the most critical issues to address first as you're sorting through a large number of code quality violations.

      Both the Code Quality Merge Request widget and the Full Code Quality Report now sort violations by Severity so that you can quickly identify the most important Code Quality violations to address.
